import { ClusterDeleteOptions } from './cluster-delete-options.js';
export declare class ClusterDeleteOptionsBuilder {
    private _name?;
    private _kubeconfig?;
    private constructor();
    static builder(): ClusterDeleteOptionsBuilder;
    /**
     * Set the name of the cluster (default "kind").
     * @param name
     */
    name(name: string): ClusterDeleteOptionsBuilder;
    /**
     * Set the kubeconfig path.
     * sets kubeconfig path instead of $KUBECONFIG or $HOME/.kube/config
     * @param kubeconfig
     */
    kubeconfig(kubeconfig: string): ClusterDeleteOptionsBuilder;
    /**
     * Build the ClusterDeleteOptions instance.
     */
    build(): ClusterDeleteOptions;
    static from(options: ClusterDeleteOptions): ClusterDeleteOptionsBuilder;
}
